#pragma once

#include "game/bola.hpp"
#include "game/info.hpp"
#include "game/mapa.hpp"
#include "game/marcador.hpp"
#include "game/momia.hpp"
#include "game/prota.hpp"

class ModuleGame {
   public:
    ModuleGame();
    ~ModuleGame(void);

    int Go();

   private:
    void Draw();
    void Update();

    void iniciarMomies();

    Uint8 final;
    JD8_Surface gfx;

    Mapa* mapa;
    Prota* sam;
    Marcador* marcador;
    Momia* momies;
    Bola* bola;
};
